Bug 25424 - wxremind не запускается...
: wxremind не запускается...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wxremind)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-04-12 02:11 by
Modified: 2011-04-12 18:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-04-12 02:11:35
[vova@wind ~]$ wxremind 
/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/_core.py:14450:
UserWarning: wxPython/wxWidgets release number mismatch
  warnings.warn("wxPython/wxWidgets release number mismatch")
Traceback (most recent call last):
  File "<stdin>", line 13, in <module>
  File "/usr/bin/wxremind/wxremind.py", line 25, in <module>
  File "/usr/bin/wxremind/wxRemHelp.py", line 2, in <module>
  File "/usr/bin/wxremind/wxremindrc.py", line 345, in <module>
IOError: [Errno 2] No such file or directory: '/home/vova/.wxremindrc'

Подобные ошибки с неувязками версии питона и программами как-то удавалось
разрешить, не всегда, правда... В этот раз я решил привести ругань сюда..
надеюсь, удастся решить проблему.. И разве программа не должна сама создавать
~/.wxremindrc ? По крайней мере в спеке наверное можно было прописать такое.. 

Branch 5.1
[root@wind /]# rpm -qa |grep python
python-module-pyorbit-2.24.0-alt1
python-module-setuptools-0.6-alt1.c9
python-strict-2.5.5-alt0.M51.1
python-dev-2.5.5-alt0.M51.1
python-module-sip-4.10-alt0.M51.1
python-module-libxslt-1.1.24-alt2
python-modules-compiler-2.5.5-alt0.M51.1
python-module-pygnome-bonobo-2.26.1-alt1
python-modules-hotshot-2.5.5-alt0.M51.1
python-module-nose-0.11.1-alt1
python-module-pygobject-2.16.1-alt1
python-modules-xml-2.5.5-alt0.M51.1
python-modules-ctypes-2.5.5-alt0.M51.1
python-modules-encodings-2.5.5-alt0.M51.1
python-module-Reportlab-2.3-alt1
python-modules-email-2.5.5-alt0.M51.1
python-module-Numeric-24.2-alt1.1
python-module-pybluez-0.16-alt1
python-module-pygtk-libglade-2.16.0-alt3
python-module-notify-0.1.1-alt3.1
python-module-pygnome-gconf-2.26.1-alt1
python-module-pygnome-gnome-vfs-2.26.1-alt1
python-module-pychm-0.8.4-alt1.1
python-module-librapi-0.14-alt1
python-base-2.5.5-alt0.M51.1
python-modules-bsddb-2.5.5-alt0.M51.1
python-modules-2.5.5-alt0.M51.1
python-module-yaml-3.05-alt2
python-module-numpy-1.4.0-alt2.svn20090913
python-module-pygnome-canvas-2.26.1-alt1
python-module-cupshelpers-1.1.17-alt0.M51.1
python-module-BeautifulSoup-3.0.6-alt1
python-modules-tkinter-2.5.5-alt0.M51.1
python-module-PyQt4-4.7-alt1.M51.1
python-module-pygnome-2.26.1-alt1
python-module-pygtk-2.16.0-alt3
python-module-pyxdg-0.17-alt1
python-module-dbus-0.83.0-alt2
python-module-pywm-1.0-alt1
python-module-Pygments-1.0-alt1
python-module-pycairo-1.8.6-alt1
python-module-gammu-1.23.1-alt4
python-module-lxml-2.1.1-alt1
python-module-xlib-0.14-alt1.1
python-2.5.5-alt0.M51.1
python-module-cups-1.9.48-alt1.M51.1
python-modules-curses-2.5.5-alt0.M51.1
python-module-librra-0.14-alt1
python-module-libxml2-2.7.8-alt3.M50P.1
python-modules-logging-2.5.5-alt0.M51.1
python-module-wx-2.8.9.2-alt2

wxremind-0.9.6-alt2
------- Comment #1 From 2011-04-12 02:52:07 -------
Причина ясна - при выборе wxremind не устанавливается сам remind.. Такого быть
не должно. Выбирая графич. вариант программы, пользователь предполагает, что
само "сердце" (то бишь remind) тоже установится вместе с  со своей графической
оболочкой.. Т.е. не хватает зависимостей. Пропишите установку remind при выборе
wxremind. 

Надеюсь это не вызовет споров и дебатов по очевидной вещи.. спасибо.
------- Comment #2 From 2011-04-12 18:57:09 -------
* Tue Apr 12 2011 Michael Shigorin <mike@altlinux> 101-alt1
- 101 (reworked installation, argh)
- added missing dependencies (see #25426)
- fixed desktop file
- added warning regarding unicode data file requirement

PS: забыл глянуть баги по wxremind, а делал по мотивам tkremind -- спасибо!
PPS: в бранч позже